// file: $isip/class/stat/GaussianModel/gaus_00.cc
// version: $Id: gaus_00.cc 8414 2002-07-17 15:56:41Z alphonso $
//

// there is no source code in this file
//

// isip include files
//
#include "GaussianModel.h"

// there is no source code in this file
//

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String GaussianModel::CLASS_NAME(L"GaussianModel");

// constants: i/o related constants
//
const String GaussianModel::DEF_PARAM(L"");
const String GaussianModel::PARAM_MEAN(L"mean");
const String GaussianModel::PARAM_COVARIANCE(L"covariance");
const String GaussianModel::PARAM_MEAN_ACCUM(L"mean_accumulator");
const String GaussianModel::PARAM_COVARIANCE_ACCUM(L"covariance_accumulator");
const String GaussianModel::PARAM_OCCUPANCY_ACCUM(L"occupancy_accumulator");
const String GaussianModel::PARAM_ACCESS_ACCUM(L"access_accumulator");

// static instantiations: memory manager and a permanent scratch space
//
MemoryManager GaussianModel::mgr_d(sizeof(GaussianModel),
				   GaussianModel::CLASS_NAME);
VectorFloat GaussianModel::deviation_d(0, (float)0.0);





